from mcpi.minecraft import Minecraft
mc = Minecraft.create()

import pickle


def sorteerPaar(waarde1, waarde2):
    if waarde1 > waarde2:
        return waarde2, waarde1
    else:
        return waarde1, waarde2


def kopieerBouwwerk(x1, y1, z1, x2, y2, z2):
    x1, x2 = sorteerPaar(x1, x2)
    y1, y2 = sorteerPaar(y1, y2)
    z1, z2 = sorteerPaar(z1, z2)

    breedte = x2 - x1
    hoogte = y2 - y1
    lengte = z2 - z1

    bouwwerk = []

    print("Even wachten...")

    # Kopieer het bouwwerk
    for rij in range(hoogte):
        bouwwerk.append([])
        for kolom in range(breedte):
            bouwwerk[rij].append([])
            for diepte in range(lengte):
                blok = mc.getBlockWithData(x1 + kolom, y1 + rij, z1 + diepte)
                bouwwerk[rij][kolom].append(blok)

    return bouwwerk

input("Ga naar de eerste positie en druk op ENTER in dit venster")
pos1 = mc.player.getTilePos()

# Haal de positie op van de eerste hoek
x1 = pos1.x
y1 = pos1.y
z1 = pos1.z

input("Ga naar de tegenoverliggende hoek en druk op ENTER in dit venster")
pos2 = mc.player.getTilePos()

# Haal de positie op van de tweede hoek
x2 = pos2.x
y2 = pos2.y
z2 = pos2.z

bouwwerk = kopieerBouwwerk(x1, y1, z1, x2, y2, z2)

# Sla het bouwwerk op in een bestand
pickleBestand = open("pickleBestand", "wb")
pickle.dump(bouwwerk, pickleBestand)
