from mcpi.minecraft import Minecraft
mc = Minecraft.create()


def sorteerPaar(waarde1, waarde2):
    if waarde1 > waarde2:
        return waarde2, waarde1
    else:
        return waarde1, waarde2


def kopieerBouwwerk(x1, y1, z1, x2, y2, z2):
    x1, x2 = sorteerPaar(x1, x2)
    y1, y2 = sorteerPaar(y1, y2)
    z1, z2 = sorteerPaar(z1, z2)

    breedte = x2 - x1
    hoogte = y2 - y1
    lengte = z2 - z1

    bouwwerk = []

    print("Even wachten...")

    # Kopieer bouwwerk
    for rij in range(hoogte):
        bouwwerk.append([])
        for kolom in range(breedte):
            bouwwerk[rij].append([])
            for diepte in range(lengte):
                blok = mc.getBlock(x1 + kolom, y1 + rij, z1 + diepte)
                bouwwerk[rij][kolom].append(blok)

    return bouwwerk


def maakBouwwerk(x, y, z, bouwwerk):
    xStart = x
    yStart = y
    for rij in bouwwerk:
        for kolom in rij:
            for blok in kolom:
                mc.setBlock(x, y, z, blok)
                z += 1
            x += 1
            z = yStart
        y += 1
        x = xStart


# Haal de positie op van de eerste hoek
input("Ga naar de eerste hoek en druk in dit venster op enter")
pos = mc.player.getTilePos()
x1, y1, z1 = pos.x, pos.y, pos.z

# Haal de positie op van de tweede hoek
input("Ga naar de tegenoverliggende hoek en druk in dit venster op enter")
pos = mc.player.getTilePos()
x2, y2, z2 = pos.x, pos.y, pos.z

# Kopieer het bouwwerk
bouwwerk = kopieerBouwwerk(x1, y1, z1, x2, y2, z2)

# Bepaal de positie voor de kopie
input("Ga naar de positie waar je het bouwwerk wilt neerzetten en druk in dit venster op ENTER")
pos = mc.player.getTilePos()
x, y, z = pos.x, pos.y, pos.z
maakBouwwerk(x, y, z, bouwwerk)
