from mcpi.minecraft import Minecraft
mc = Minecraft.create()


def maakZuil(x, y, z, hoogte):
    """ Bouwt een zuil. Argumenten bepalen positie en hoogte van de zuil """
    trapBlok = 156
    blok = 155

    # Top van zuil
    mc.setBlocks(x - 1, y + hoogte, z - 1, x + 1, y + hoogte, z + 1, blok, 1)
    mc.setBlock(x - 1, y + hoogte - 1, z, trapBlok, 12)
    mc.setBlock(x + 1, y + hoogte - 1, z, trapBlok, 13)
    mc.setBlock(x, y + hoogte - 1, z + 1, trapBlok, 15)
    mc.setBlock(x, y + hoogte - 1, z - 1, trapBlok, 14)

    # Basis van zuil
    mc.setBlocks(x - 1, y, z - 1, x + 1, y, z + 1, blok, 1)
    mc.setBlock(x - 1, y + 1, z, trapBlok, 0)
    mc.setBlock(x + 1, y + 1, z, trapBlok, 1)
    mc.setBlock(x, y + 1, z + 1, trapBlok, 3)
    mc.setBlock(x, y + 1, z - 1, trapBlok, 2)

    # Zuil
    mc.setBlocks(x, y, z, x, y + hoogte, z, blok, 2)

pos = mc.player.getTilePos()
x, y, z = pos.x + 2, pos.y, pos.z

for xOffset in range(0, 100, 5):
    maakZuil(x + xOffset, y, z, 10)
