from mcpi.minecraft import Minecraft
mc = Minecraft.create()

import time


def berekenBeweging():
    """ Verandert de x en z variabelen van een blok. Als het blok voor het blok minder dan twee
    blokken hoger is, gaat het bewegende blok naar voren; anders probeert het naar links te gaan, dan naar achteren
    en tenslotte naar rechts. """
    global x
    global y
    global z

    huidigeHoogte = mc.getHeight(x, z) - 1

    voorwaartseHoogte = mc.getHeight(x + 1, z)
    rechtseHoogte = mc.getHeight(x, z + 1)
    achterwaartseHoogte = mc.getHeight(x - 1, z)
    linkseHoogte = mc.getHeight(x, z - 1)

    if voorwaartseHoogte - huidigeHoogte < 3:
        x += 1
    elif rechtseHoogte - huidigeHoogte < 3:
        z += 1
    elif linkseHoogte - huidigeHoogte < 3:
        z -= 1
    elif achterwaartseHoogte - huidigeHoogte < 3:
        x -= 1

    y = mc.getHeight(x, z)


pos = mc.player.getTilePos()
x = pos.x
z = pos.z
y = mc.getHeight(x, z)

while True:
    # Bereken beweging van het blok
    berekenBeweging()

    # Plaats blok
    mc.setBlock(x, y, z, 103)

    # Wacht
    time.sleep(1)

    # Verwijder het blok
    mc.setBlock(x, y, z, 0)
